Skip to main content

Remove an assistant

Deactivates the assistant and unlinks them from the manager.

MethodPath
DELETE/api/v1/users/team/{assistant_id}

Primary host: https://valara.cloud (legacy alias: https://dash.jacoballenmedia.com).

Parameters

NameInRequiredTypeDescription
assistant_idpathyesstring

Request body

(no request body)

Response

null

Responses

StatusDescription
200Successful Response
422Validation Error (see error codes)

Examples

curl

curl -X DELETE "https://valara.cloud/api/v1/users/team/{assistant_id}" \
-H "Authorization: Bearer $VALARA_API_KEY" \
-H "Content-Type: application/json" \
-H "X-Idempotency-Key: $(uuidgen)"

Python

import os
import uuid
import httpx
res = httpx.request(
"DELETE",
"https://valara.cloud/api/v1/users/team/{assistant_id}",
headers={
"Authorization": f"Bearer {os.environ['VALARA_API_KEY']}",
"Content-Type": "application/json",
"X-Idempotency-Key": str(uuid.uuid4()),
},
)
res.raise_for_status()
print(res.json())

See also